
#ifndef _HINT_DEVICE_H_
#define _HINT_DEVICE_H_

typedef struct hint_dev_s {
  struct scsi_device *sd;
}hint_dev_t;

void hint_device_init(hint_dev_t *hint_dev);
void hint_device_set(hint_dev_t *hint_dev,
                     struct scsi_device *sd);
int hint_device_is_ready(hint_dev_t *hint_dev);
int hint_device_send(hint_dev_t *hint_dev,
                     const char* buffer, int size, int timeout);
int hint_device_send_fast(hint_dev_t *hint_dev,
                          const char* buffer, int size, int timeout);
int hint_device_recv(hint_dev_t *hint_dev,
                     char* buffer, int size, int timeout);

#endif /* _HINT_DEVICE_H_ */
